Subject: bug#65288: 30.0.50; Make Type: annotation optional in *Help* buffers

From: Visuwesh <[email-masked]>
Date: Mon, 14 Aug 2023 20:47:31 +0530

[திங்கள் ஆகஸ்ட் 14, 2023] Philip Kaludercic wrote:

> Visuwesh <[email-masked]> writes:
>
>> Can a user option be added to not show the "Type:" annotation in *Help*
>> buffers for certain functions?  An example is `char-after'
>>
>>     char-after is a built-in function in ‘src/editfns.c’.
>>
>>     (char-after &optional POS) Type: (function (&optional (or marker
>>     integer)) (or null (integer -2305843009213693952
>>     2305843009213693951)))
>>
>>     Return character in current buffer at position POS.
>>     POS is an integer or a marker and defaults to point.
>>     If POS is out of range, the value is nil.
>>
>> If not a user option, can it be moved after the docstring?
>
> Only functions have types, these are not the same types those given to
> user options.

There's no confusion about user option type and function argument type
but this info crowds the second line which only contained the function
signature before.  Other extra info are at the bottom of the buffer so
moving it there would be more consistent too.

> That being said, I agree that in cases like `char-after' the information
> of a very specific type like that one is limited.  I don't know if there
> is a sensible heuristic to reformat the type into something like
>
>   (function (&optional position) (or position null))
>
> using some kind of type aliasing, but it might be better to not
> highlight the information so prominently?